//******************************************************************************
// This unit provides a very simple editor for Operator Control Language (OCL)
// scripts.
//******************************************************************************
Unit BFOOEOCL;

Interface

Uses Windows, Messages, SysUtils, Classes, Graphics,
     Controls, Forms, Dialogs, StdCtrls, ExtCtrls,
     BFOODefs;     // Global, utility, and miscellaneous definitions

Type
  TOCLEditForm = class(TForm)
    Panel1: TPanel;
    PBSave: TButton;
    PBCancel: TButton;
    MOText: TMemo;
    procedure FormShow(Sender: TObject);
    procedure PBDoneClick(Sender: TObject);
    procedure MOTextChange(Sender: TObject);
  private
  public
  end;

Var OCLEditForm: TOCLEditForm;

Implementation

{$R *.DFM}

procedure TOCLEditForm.FormShow(Sender: TObject);
begin
  MOText.Lines.LoadFromFile(BaseScriptPath);
  Caption:='IBM Emulation - Edit Script: '+BaseScriptPath;
end;

procedure TOCLEditForm.PBDoneClick(Sender: TObject);
begin
  If (TComponent(Sender).Tag=1) And (MOText.Modified) then
    MOText.Lines.SaveToFile(BaseScriptPath);
  MOText.Clear;
  Hide;
end;

procedure TOCLEditForm.MOTextChange(Sender: TObject);
begin
  PBSave.Enabled:=MOText.Modified;
end;

End.
