//******************************************************************************
// This unit contains global, utility, and miscellaneous definitions for
// general use by early IBM computer emulators
//******************************************************************************
Unit IBMDefs;

Interface

Uses SysUtils,Windows,Messages,Forms;

// Window handles
Var CharsFormHandle: HWnd;
    TraceFormHandle: HWnd;

// Internally generated Message codes
Const WM_TRACE       =WM_APP+100;

Var UseCMCMapping:  Boolean;     // Use B1401.CMC to determine char mappings
    EXEPath:        String;      // Path to program
    EXEName:        String;      // Name of program

// I/O action option codes
Type TIOOption=(
       // Card Options
       IOUPCASE,   // Translate to upper case
       // Tape options
       IOWRDMRK,   // With Word Marks
       IOEVNPAR,   // Using Even Parity
       IOSGLREC);  // Transfer Single Record

Type TIOOptions=Set Of TIOOption;

Function  DelExt(PN: String): String;
Function  LPad(SS: String; LV: Byte): String;
Function  FormIOOptions(WW,EP,SR: Boolean): TIOOptions;

Implementation

Function DelExt(PN: String): String;
Var SP: Byte;
Begin
  SP:=Pos('.',PN);
  If SP=0 then Result:=PN
          else Result:=Copy(PN,1,SP-1);
End;

Function LPad(SS: String; LV: Byte): String;
Var I: Byte;
    S: String;
Begin
  S:=SS;
  If Length(S)<LV then begin
    For I:=1 to LV-Length(S) do S:=' '+S;
    SetLength(S,LV);
  End;
  SetLength(S,LV);
  Result:=S;
End;

Function FormIOOptions(WW,EP,SR: Boolean): TIOOptions;
Begin
  If WW then Result:=[IOWRDMRK] else Result:=[];
  If EP then Result:=Result+[IOEVNPAR];
  If SR then Result:=Result+[IOSGLREC];
End;

Initialization
  EXEPath:=ExtractFilePath(Application.EXEName);
  EXEName:=DelExt(ExtractFileName(Application.EXEName));
End.
